## org.apache.cassandra.locator
Class RackAwareStrategy

    java.lang.Object
      org.apache.cassandra.locator.AbstractReplicationStrategy
          org.apache.cassandra.locator.RackAwareStrategy

    public class RackAwareStrategy

extends AbstractReplicationStrategy

Field Summary

Fields inherited from class org.apache.cassandra.locator.AbstractReplicationStrategy
`logger_, snitch_`

Constructor Summary
`RackAwareStrategy(TokenMetadata tokenMetadata, IEndPointSnitch snitch)`

Method Summary
`java.util.ArrayList<java.net.InetAddress>` `getNaturalEndpoints(Token token, TokenMetadata metadata, java.lang.String table)` get the endpoints that should store the given Token, for the given table.

Methods inherited from class org.apache.cassandra.locator.AbstractReplicationStrategy
`getAddressRanges, getAddressRanges, getHintedEndpoints, getNaturalEndpoints, getPendingAddressRanges, getRangeAddresses, getWriteEndpoints, getWriteResponseHandler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RackAwareStrategy

    public RackAwareStrategy(TokenMetadata tokenMetadata,
                             IEndPointSnitch snitch)

Method Detail

### getNaturalEndpoints

    public java.util.ArrayList<java.net.InetAddress> getNaturalEndpoints(Token token,
                                                                         TokenMetadata metadata,
                                                                         java.lang.String table)

  Description copied from class: `AbstractReplicationStrategy`
  get the endpoints that should store the given Token, for the given table. Note that while the endpoints are conceptually a Set (no duplicates will be included), we return a List to avoid an extra allocation when sorting by proximity later.

  Specified by:
    `getNaturalEndpoints` in class `AbstractReplicationStrategy`

Copyright © 2010 The Apache Software Foundation